Printago API
GET
/v1/print-jobs/{id}/matching-details
Get job matching details
Get details about why a job is or isn't matching to printers
Path Parameters
id
required
string
The print job ID
Response Schema
PrintJobMatchingDetail
createdAtrequired
string
format: date-time
detailsrequired
Record<string, object>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
printJobIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"printJobId": "string",
"details": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}